For Developers
List School Years
This model is part of the v2.5 API update which is currently in beta and therefore subject to change.
GET https://ed.link/api/v2/graph/school_years
Retrieve a list of all School Years.
Request Parameters
This query allows for filtering results.
This query allows for standard paging parameters.
| Parameter | Location | Type | Description |
|---|---|---|---|
$first | query | number | Returns the first n elements from the list. |
$last | query | number | Returns the last n elements from the list. |
$before | query | uuid | Returns the elements in the list that come before the specified item. |
$after | query | uuid | Returns the elements in the list that come after the specified item. |
It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.
Read More About Paging
Developer Guide
Click to Read
Sample Request
axios.get('https://ed.link/api/v2/graph/school_years', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"created_date": "2021-07-05T20:32:40.454Z",
"updated_date": "2021-07-12T21:44:23.126Z",
"school_id": "00000000-0000-0000-0000-000000000001",
"name": "2020-2021",
"number": 2020,
"start_date": "2020-08-06T00:00:00.000Z",
"end_date": "2021-05-25T00:00:00.000Z"
}
],
"$request": "00000000-0000-0000-0000-000000000000"
}